<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');
//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `admforum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `admforum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));
$title='Подраздел '.$forum_k['name'].'';
require_once ('../system/header.php');

if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/admforum/">'.$title.'</a> | <a href="'.$HOME.'/admforum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | '.$forum_k['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `admforum_tema` WHERE `kat` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_t = mysql_query("SELECT * FROM `admforum_tema` WHERE `kat` = '".$id."' ORDER BY `id` and `status` = '2' DESC LIMIT $start, $max");

echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/admforum/nt'.$id.'">Новая тема</a></div>';

while($a = mysql_fetch_assoc($forum_t))
{

if($a['status'] == 0){
$icon = 'tem';
}elseif($a['status'] == 1){
$icon = 'close';
}elseif($a['status'] == 2){
$icon = 'top';
}


echo '<div class="podmenu">
<img src="/images/'.$icon.'.png" alt="*">  <a href="/admforum/tema'.$a['id'].'">'.$a['name'].'</a> 
('.mysql_result(mysql_query('select count(`id`) from `admforum_post` where `tema` = "'.$a['id'].'" and `kat` = "'.$id.'" '),0).') <a href="/admforum/tema'.$a['id'].'?selection=top">>></a><br />
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном подразделе тем нет!</center></b></div>';
if($k_page > 1) echo str(''.$HOME.'/admforum/kat'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('footers.php');

require_once ('../system/footer.php');
?>